MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026688Community[OCCT] OCCT:Visualizationpublic2015-09-15 13:312015-10-23 20:50
ReporterTimo 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSWindows 64 bitOS Version10
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026688: Visualization, TKOpenGl - apply transparency within GLSL programs
DescriptionIf ffp is disabled on Windows, the transparency isn't correctly displayed.

Some faces are transparent, others not, depending on current rotation.
Also, different values for transparency don't change anything.
Steps To Reproduce
pload MODELING VISUALIZATION
vinit View1
box b -50 -50 -50 100 100 100
vdisplay b
vsetdispmode b 1
vsettransparency b 0.8
vfit
vrotate 0.5 0 0
vcaps -ffp 1
# => transparency correct
vcaps -ffp 0
# => transparency incorrect
vsettransparency b 0.1
# => no difference
TagsNo tags attached.
Test case numberNot needed
Attached Filesjpg file icon broken transparency.jpg (10,801 bytes) 2015-09-15 13:31
png file icon box_alpha_ffp_OK.png (4,639 bytes) 2015-09-15 16:23
png file icon box_alpha_glsl_KO.png (4,212 bytes) 2015-09-15 16:24

- Relationships
related to 0026122closedbugmaster Community Visualization, TKOpenGl - clipping and capping is broken when ffp is disabled on Linux 
related to 0026533closedbugmaster Community Draw command vdisplay requires vclear to update the presentation since OCC 6.9.0 
child of 0024838newkgv Open CASCADE Visualization, TKOpenGl - make general rendering path compatible with OpenGL 3.1+ core profiles 

-  Notes
(0045665)
git (administrator)
2015-09-15 18:18

Branch CR26688 has been created by kgv.

SHA-1: ab1fdfcfd9bbf181fc940359d33be7bde5d0e7cc


Detailed log of new commits:

Author: kgv
Date: Tue Sep 15 18:18:03 2015 +0300

    0026688: Visualization, TKOpenGl - apply transparency within GLSL programs
    
    OpenGl_ShaderManager::PushAspectFace(), setup alpha to Diffuse() component as in FFP.
    OpenGl_ShaderManager::stdComputeLighting(), take alpha from material Diffuse component.
(0045666)
kgv (developer)
2015-09-15 18:31

Patch is ready for review.
Test case is not needed.
(0045688)
apl (developer)
2015-09-16 10:10

Dear bugmaster,

Please test the patch.
(0045765)
apv (tester)
2015-09-17 12:31

Dear BugMaster,

Branch CR26688 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: ab1fdfcfd9bbf181fc940359d33be7bde5d0e7cc

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 91833819 / 92773907 [-1.01%]
Total CPU difference: 17987.679999998978 / 17946.139999999086 [+0.23%]

Testing on Windows:
Total MEMORY difference: 57744539 / 57754094 [-0.02%]
Total CPU difference: 16919.899660199284 / 16847.82719819915 [+0.43%]
(0046888)
git (administrator)
2015-10-16 16:14

Branch CR26688 has been deleted by kgv.

SHA-1: ab1fdfcfd9bbf181fc940359d33be7bde5d0e7cc

- Related Changesets
occt: master 363bc51b
Timestamp: 2015-09-15 15:18:03
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026688: Visualization, TKOpenGl - apply transparency within GLSL programs

OpenGl_ShaderManager::PushAspectFace(), setup alpha to Diffuse() component as in FFP.
OpenGl_ShaderManager::stdComputeLighting(), take alpha from material Diffuse component.
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-09-15 13:31 Timo New Issue
2015-09-15 13:31 Timo Assigned To => kgv
2015-09-15 13:31 Timo File Added: broken transparency.jpg
2015-09-15 13:31 Timo Issue generated from: 0026122
2015-09-15 13:31 Timo Relationship added related to 0026122
2015-09-15 13:32 Timo Relationship added related to 0026533
2015-09-15 13:32 Timo Summary Transparency is broken when ffp disabled on Windows => Transparency is broken when ffp is disabled on Windows
2015-09-15 13:48 kgv Target Version 6.9.1 => 7.0.0
2015-09-15 13:48 kgv Summary Transparency is broken when ffp is disabled on Windows => Visualization - transparency is broken when ffp is disabled on Windows
2015-09-15 13:48 kgv Steps to Reproduce Updated View Revisions
2015-09-15 16:23 kgv Steps to Reproduce Updated View Revisions
2015-09-15 16:23 kgv File Added: box_alpha_ffp_OK.png
2015-09-15 16:24 kgv File Added: box_alpha_glsl_KO.png
2015-09-15 16:24 kgv Relationship added child of 0024838
2015-09-15 18:16 kgv Product Version 6.9.0 => 6.8.0
2015-09-15 18:16 kgv Summary Visualization - transparency is broken when ffp is disabled on Windows => Visualization, TKOpenGl - apply transparency within GLSL programs
2015-09-15 18:18 git Note Added: 0045665
2015-09-15 18:31 kgv Note Added: 0045666
2015-09-15 18:31 kgv Assigned To kgv => apl
2015-09-15 18:31 kgv Status new => resolved
2015-09-16 10:10 apl Note Added: 0045688
2015-09-16 10:10 apl Assigned To apl => bugmaster
2015-09-16 10:10 apl Status resolved => reviewed
2015-09-16 13:10 apv Assigned To bugmaster => apv
2015-09-17 11:53 apv Test case number => Not needed
2015-09-17 12:31 apv Note Added: 0045765
2015-09-17 12:31 apv Assigned To apv => bugmaster
2015-09-17 12:31 apv Status reviewed => tested
2015-09-17 16:36 abv Target Version 7.0.0 => 6.9.1
2015-09-18 13:31 bugmaster Changeset attached => occt master 363bc51b
2015-09-18 13:31 bugmaster Status tested => verified
2015-09-18 13:31 bugmaster Resolution open => fixed
2015-10-16 14:55 user533 Status verified => closed
2015-10-16 16:14 git Note Added: 0046888
2015-10-23 20:50 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker